# PACKAGES ncessaires
library(stringdist)   # Fonctions COMPARAISON CHAINES de CARACTERE

# De quel terme str1 se rapproche le plus ?
amatch("leia",
       c("uhura","leela"),
       method="lv",
       maxDist=5)

amatch(c("leia","uhura"),
       c("ripley","leela","scully","trinity"),
       method="lv",
       maxDist=3)

amatch(c("leia","uhura"),
       c("ripley","leela","scully","trinity"),
       method="lv",
       maxDist=3,
       nomatch=99)

# Transcription en CODES PHONETIQUES
phonetic(c('Euler','Gauss','Hilbert','Knuth','Lloyd','Lukasiewicz','Wachs'),method='soundex')

# Distance entre CHAINES (osa par DEFAUT)
d0 = stringdistmatrix(c('foo','bar','boo','baz'))

# Mthode 
d1 = stringdistmatrix(c('foo','bar','boo','baz'),method="hamming")
d2 = stringdistmatrix(c('fool','bar','boo','baz'),method="lv")
d3 = stringdistmatrix(c('foo','bar','boo','baz'),method="dl")

# Indice de similarit
stringsim('MARTHA','MATHRA',method='lv')
