

# Lecture fichier CSV 
setwd("D:/Bureau/Projet EN COURS/RUSS/Donnes")
rec1702=read.csv("rec1702.csv", sep=";", stringsAsFactors = F)

# Slection Ferrires
rec1702=sqldf("select * from rec1702 where PAROISSE='Ferr1702'")

# Extraction CHEFS DE MENAGES avec IDENT, NOM, AGE
rec1702$nom_prenom=paste(rec1702$Nom,rec1702$Prenom,sep=" ") 
rec1702$Age_N=as.integer(rec1702$Age)
cm=sqldf("select Num as Id_CM,CM_ID, Rue, Age_N as age_CM 
          from rec1702 
          where Num in (select Num from rec1702 where CM_ID==nom_prenom)")


# Merge Fichier initial (Diffrence = CM absent)
rec1702_2=sqldf("select * from rec1702 left join cm 
                where rec1702.CM_ID=cm.CM_ID and rec1702.Rue==cm.Rue")

# Extraction individus dont le CHEF DE MENAGE a plus de 30 ans
cmi=sqldf("select * from rec1702 
         where CM_ID in (select CM_ID from rec1702 where ((CM_ID==nom_prenom) & (Age_N>30)))")


# Extraction Mnage et nombre de personnes
men=sqldf("select Num as Id_CM,CM_ID, Rue, 
           count(CM_ID) as nbpers,
           min(Age_N) as agemin,
           max(Age_N) as agemax 
           from rec1702 
           group by(CM_ID)")



# ATTENTION UTILISATION read.csv.sql

